Skip to navigation

Legal Holds Create Policy

View as Markdown

Creates new legal hold policy. Note: Legal Holds is a paid add-on. Not all teams have the feature.

Permission : Team member file access.

Required scope: team_data.governance.write

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
memberslist of stringsRequired
List of team member IDs added to the hold.
namestringRequired<=140 characters
Policy name.
descriptionstring or nullOptional<=501 characters
A description of the legal hold policy.
end_datedatetime or nullOptional
end date of the legal hold policy.
start_datedatetime or nullOptional
start date of the legal hold policy.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
idstringformat: "^pid_dbhid:.+"
The legal hold id.
membersobject
Team members IDs and number of permanently deleted members under hold.
namestring<=140 characters
Policy name.
start_datedatetime
Start date of the legal hold policy.
statusobject
The current state of the hold.
Variant:
team.LegalHoldStatus.activeobject
The legal hold policy is active.
activation_timedatetime or nullOptional
The time at which the legal hold was activated.
descriptionstring or nullOptional<=501 characters
A description of the legal hold policy.
end_datedatetime or nullOptional
End date of the legal hold policy.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error